<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~ Copyright The WildFly Authors
  ~ SPDX-License-Identifier: Apache-2.0
  -->
<module name="org.glassfish.jaxb" xmlns="urn:jboss:module:1.9">

    <properties>
        <property name="jboss.api" value="private"/>
    </properties>

    <resources>
        <artifact name="com.sun.istack:istack-commons-runtime:4.1.2"/>
        <artifact name="com.sun.istack:istack-commons-tools:4.1.2"/>
        <artifact name="com.sun.xml.bind.external:rngom:4.0.5"/>
        <artifact name="com.sun.xml.bind.external:relaxng-datatype:4.0.5"/>
        <artifact name="org.glassfish.jaxb:codemodel:4.0.5"/>
        <artifact name="org.glassfish.jaxb:jaxb-jxc:4.0.5"/>
        <artifact name="org.glassfish.jaxb:jaxb-runtime:4.0.5"/>
        <artifact name="org.glassfish.jaxb:jaxb-core:4.0.5"/>
        <artifact name="org.glassfish.jaxb:jaxb-xjc:4.0.5"/>
        <artifact name="org.glassfish.jaxb:xsom:4.0.5"/>
        <artifact name="org.glassfish.jaxb:txw2:4.0.5"/>
    </resources>

    <dependencies>
        <module name="java.logging"/>
        <module name="java.compiler"/>
        <module name="java.desktop"/>
        <module name="java.xml"/>
        <module name="jakarta.activation.api"/>
        <module name="jakarta.xml.bind.api"/>
        <module name="jdk.compiler" optional="true"/>
    </dependencies>

</module>
